summaryrefslogtreecommitdiffstats
path: root/source/d/guile/guile.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/guile/guile.SlackBuild')
-rwxr-xr-xsource/d/guile/guile.SlackBuild12
1 files changed, 8 insertions, 4 deletions
diff --git a/source/d/guile/guile.SlackBuild b/source/d/guile/guile.SlackBuild
index 03433ee56..9f94e55b5 100755
--- a/source/d/guile/guile.SlackBuild
+++ b/source/d/guile/guile.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
PKGNAM=guile
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -58,8 +58,9 @@ else
fi
cd $TMP
-tar xvf $CWD/guile-$VERSION.tar.?z* || exit 1
-cd guile-$VERSION
+rm -rf guile-$VERSION
+tar xvf $CWD/guile-$VERSION.tar.xz || exit 1
+cd guile-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -74,6 +75,9 @@ CFLAGS="$SLKCFLAGS" \
--infodir=/usr/info \
--mandir=/usr/man \
--with-threads \
+ --disable-static \
+ --disable-rpath \
+ --disable-error-on-warning \
--build=$ARCH-slackware-linux
# Does not like parallel make...